-- Sheet definition

function Bunkier_sheet(inputs)
return
{
  layers = 
  {
    {
      filename = "__Bunkier__/graphics/entity/Bunkier-sheet.png",
      priority = "medium",
      scale = 1,
      width = 100,
      height = 100,
      direction_count = inputs.direction_count and inputs.direction_count or 64,
      frame_count = 1,
      line_length = inputs.line_length and inputs.line_length or 16,
      axially_symmetrical = false,
	  run_mode = inputs.run_mode and inputs.run_mode or "forward",
      shift = { 0.25, -0.5 },
    }
  }
}
end

-- Entity definition

Bunkier_entity = {
  type = "ammo-turret",
  name = "Bunkier",
  icon = "__Bunkier__/graphics/icon/Bunkier-icon.png",
  icon_size = 128,
  flags = {"placeable-player", "player-creation"},
  minable = {mining_time = 20., result = "Bunkier"},
  max_health = 25000,
  corpse = "small-remnants",
  collision_box = {{-4.7, -4.7 }, {4.7, 4.7}},
  selection_box = {{-5, -5 }, {5, 5}},
  rotation_speed = 0.008,
  preparing_speed = 0.04,
  folding_speed = 0.04,
  dying_explosion = "medium-explosion",
  inventory_size = 30,
  automated_ammo_count = 6000,
  attacking_speed = 5,
  
  folded_animation = Bunkier_sheet{direction_count = 4, line_length = 1},
  preparing_animation = Bunkier_sheet{direction_count = 4, line_length = 1},
  prepared_animation = Bunkier_sheet{},
  attacking_animation = Bunkier_sheet{},
  folding_animation = Bunkier_sheet{direction_count = 4, line_length = 1, run_mode = "backward"},
  
  vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
  
  attack_parameters =
  {
    type = "projectile",
    ammo_category = "bullet",
    cooldown = 75,
    projectile_creation_distance = 1.2,
    projectile_center = {-0.15625, -0.07812},
    damage_modifier = 1,
    shell_particle =
    {
      name = "shell-particle",
      direction_deviation = 0.1,
      speed = 0.1,
      speed_deviation = 0.03,
      center = {0, 0},
      creation_distance = -1.925,
      starting_frame_speed = 0.2,
      starting_frame_speed_deviation = 0.1
    },
    range = 40,
    min_range = 0,
    sound =
    {
      {
        filename = "__base__/sound/fight/rocket-launcher.ogg",
        volume = 0.8
      }
    },
  },

  call_for_help_radius = 40
}